{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
	<title>TweetMiner</title>
 	<meta http-equiv="Content-Type" content="text/html"; charset="utf-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
 <!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/Linearicons-Free-v1.0.0/icon-font.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animate/animate.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/css-hamburgers/hamburgers.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animsition/css/animsition.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/select2/select2.min.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/daterangepicker/daterangepicker.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'css/util.css' %}"/>
	<link rel="stylesheet" type="text/css" href="{% static 'css/main.css' %}"/>
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
    <link
            rel="stylesheet"
            href="https://unpkg.com/leaflet@1.5.1/dist/leaflet.css"
    />

    <script
            src="https://unpkg.com/leaflet@1.5.1/dist/leaflet.js">
    </script>
   
    <link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css"  rel = "stylesheet">

    <script
            src="https://cdnjs.cloudflare.com/ajax/libs/leaflet.freedraw/2.0.1/leaflet-freedraw.web.js">
    </script>
			<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet.draw/1.0.4/leaflet.draw.css"/>
<script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet.draw/1.0.4/leaflet.draw.js"></script>
<!--===============================================================================================-->


</head>
<body>
	
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100" style="width:1070px">


				<div class="login100-form-title">
						<img class="company-logo" src="{% static 'images/logo-company.png' %}" alt="company logo" />
						<img class="app-logo" src="{% static 'images/logo-app.png' %}" alt="app logo" />
					</div>
				<div>
                                <select id="mbPOCControlsLangDrop"></select>
                                </div>
				<br />

				<div class="navbar">
					<div class="nav-container">
						<div class="navbar-right">
							<span class="navbar-item active">
								<a href="/" data-mlr-text>مشاریع</a>
							</span>
						</div>

						<div class="navbar-right">
								<span class="navbar-item">
									<a href="../account_edit" data-mlr-text>إدارة الحساب</a>
								</span>
								<span class="navbar-item">
									<a href="logout" data-mlr-text>تسجیل الخروج</a>
								</span>
						</div>
					</div>
				</div>
<div id="alertparent">
{% if error_msg %}
<div class="alert alert alert-danger alert-dismissible fade show" role="alert"  id="aler">
  <strong>ERROR!!!!</strong> {{ error_msg }}
  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
{% endif %}


<div class="alert alert alert-danger alert-dismissible fade show" role="alert" style="display:none" id="aler">
  <strong>ERROR!!!!</strong> There is something wrong with the fields entered. See the respective cells for further details.
  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
</div>

{% for doc in data %}
{{doc}}
{% endfor %}
<div class="tab">
  <button class="tablinks" onclick="opencity(event,'project')" id="projectdefault"><p data-mlr-text style="float:left">المشاریع</p><p style="float:right;padding-left:2px">{{count}}</p></button>
  <button class="tablinks" onclick="opencity(event,'create')" id="c"><p data-mlr-text>انشاء مشروع جدید</p></button>
  <input class="custom-search" type="text" id="input" onkeyup="search()" placeholder="Search Projects" title="search">
</div> 
<div id="project" class="tabcontent">
{% if project %}
<table id="customers">
<tr>
    <th data-mlr-text>اسم المشروع</th>
    <th data-mlr-text>رقم</th>
    <th data-mlr-text>حالة المشروع</th>
    <th data-mlr-text>إیقاف/تشغیل المشروع</th>
    <th data-mlr-text>تاريخ البدء</th>
    <th data-mlr-text>عدد التغریدات</th>
    <th data-mlr-text>تعدیل المشروع</th>
    <th data-mlr-text>تحمیل البیانات</th>
	<th data-mlr-text>العملیات</th>
	
  </tr>
{% for o, i in project %}
<tr>
<td><a href="{{o.id}}">{{ o.name }}</a></td>
<td>{{ o.id }}</td>
{% if o.running %}
<td>Running</td>&nbsp
<td><a class="btn-delete" href="javascript:myFunction1({{o.id}})" type="button">Stop</a></td>
{% else %}
<td>Not Running</td>&nbsp
<td><a class="button" href="javascript:myFunction2({{o.id}})" type="button">Start</a></td>
{% endif %}
<td>{{ o.start_date }}</td>
<td>{{ i }}</td>
<td>
	<a href="edit/{{ o.id }}">
		<i class="fa fa-pencil" aria-hidden="true"></i>
	</a>
	<br />
	<button class="btn-trash" onclick="myFunction3({{o.id}})">
			<i class="fa fa-trash" aria-hidden="true"></i>
	</button>
</td>
<td>
<div id="myProgress{{o.id}}" >
  <div id="myBar{{o.id}}"></div>
</div>
<div class="btn-group dropup">

   <button id="{{o.id}}"class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false">Download<span class="caret"></span></button>
   <ul class="dropdown-menu" x-placement="top-start" style="position: absolute; transform: translate3d(0px, -44px, 0px); top: 0px; left: 0px; will-change: transform;">
     <li><a class="dropdown-item" href="javascript:progress('downloadcsv/{{o.id}}/{{o.name}}','{{o.id}}','csv','{{o.name}}')">As CSV</a></li>
     <li><a class="dropdown-item" href="javascript:progress('downloadjson/{{o.id}}/{{o.name}}','{{o.id}}','json','{{o.name}}' )">As JSON</a></li>
   </ul>
 </div>
</td>
<td><button class="btn-delete" onclick="myFunction({{ o.id }})">Delete Data</button></td>

</tr>
{% endfor %}
</table>
{% endif %}
</div>
<div id="create" class="tabcontent">
  <form class="login100-form validate-form new-project" method='POST' action="create_project">{%csrf_token%}
					<div class="wrap-input100 validate-input m-b-26" data-validate="Name is required"> 
					<span class="label-input100" data-mlr-text>اسم</span>
					<input class="input100" type="text" name="Name" placeholder="Enter Name">					 
					<span class="focus-input100"></span>
					</div>
                    
                    <div class="wrap-input100 validate-input m-b-26" data-validate="Start Date is required">
					<span class="label-input100" data-mlr-text>تاريخ البدء</span>
					<input class="input100" type="text" id="startdate" name="Start-Date" placeholder="Enter Start Date">					 
					<span class="focus-input100"></span>
					</div>

					<div class="wrap-input100 m-b-26" data-validate="End Date is required">
					<span class="label-input100" data-mlr-text>تاريخ الانتهاء</span>
					<input class="input100" type="text" id="enddate" name="Date" placeholder="Enter End Date">					 
					<span class="focus-input100"></span>
					</div>

					<div class="wrap-input100 m-b-26" data-validate="Language is required">
					<span class="label-input100" data-mlr-text>لغة</span>
					<select name="language" >
                			<option value="ar" selected data-mlr-text>عربى</option>
                			<option value="en" data-mlr-text>الإنجليزية</option>
                			<option value="fa" data-mlr-text>اللغة الفارسية</option>
					<option value="tr" data-mlr-text>اللغة التركية</option>
					</select>
					<span class="focus-input100"></span>
					</div>
					<div class="wrap-input100 validate-input m-b-26" data-validate="Keywords is required">
					<span class="label-input100"data-mlr-text>الكلمات الدالة</span>
					<input class="input100" type="text" id="key" name="keywords" placeholder="Enter Keywords Comma Seperated">					 
					<span class="focus-input100"></span>
					</div>
					<span class="note"> Or upload a txt file with keywords in CSV format. </span>
					<br>
					<div class="wrap-input100 m-b-26">
					<span class="label-input100" data-mlr-text>ملف الكلمات الرئيسية</span>
					<input type="file" class="input100"name="file" style="padding-top:0px" id="myfile" multiple size="50" >
					</div>					
					<div class="wrap-input100 m-b-26" style="position: relative;">
                    <span class="label-input100" data-mlr-text>موقعك</span>
                    <button type ="button" class="map-reset" onclick="  editableLayers.removeLayer(layeer);document.getElementById('latlng').value=''">  Reset </button>
                    <div id="mapid" style=" width: 90%; height: 400px; "></div>
                    <input type="text" class="input100" style="display:none" value="" id="latlng"name="location">
                    <span class="focus-input100"></span>
                    </div>
					
					<div class="form-footer">
						<div class="container-login100-form-btn">
							<button type="submit" class="login100-form-btn" data-mlr-text>حفظ</button>
						</div>
						<div class="container-login100-form-btn">
							<button type="submit" class="login100-form-btn" name="another" data-mlr-text>حفظ وإضافة آخر</button>
						</div>
						<div class="container-login100-form-btn" >
							<button type="submit" class="login100-form-btn" name="continue" data-mlr-text>حفظ ومتابعة التحرير</button>
						</div>
						<a class="button" type="bütton" onclick="cancel()" data-mlr-text>إلغاء</a>
					</div>
					
				</form>
				
				
</div>

					  

		</div>
		</div>
	</div>
	<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'vendor/animsition/js/animsition.min.js' %}"></script>
	<script src="{% static 'vendor/bootstrap/js/popper.js' %}"></script>
	<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
	<script src="{% static 'vendor/select2/select2.min.js' %}"></script>
	<script src="{% static 'vendor/daterangepicker/moment.min.js' %}"></script>
	<script src="{% static 'vendor/daterangepicker/daterangepicker.js' %}"></script>
	<script src="{% static 'vendor/countdowntime/countdowntime.js' %}"></script>
	<script src="{% static 'js/main.js' %}"></script>
	<script src="{% static 'js/lang.js' %}"></script>
	<script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>	
    <script>
function progress(string,id,type,name){
progressUrl="http://34.66.198.6/progress/"+id+"/"+type
document.getElementById(id).style.display='none';
var elem = document.getElementById("myBar"+id);   
document.getElementById("myProgress"+id).style.display='block'
var idd=setInterval(updateProgress, 1000, progressUrl);
function updateProgress (progressUrl) {
    fetch(progressUrl).then(function(response) {
        response.json().then(function(data) {
        elem.style.width = data+ '%';
 	if (data >= 100) {
      		clearInterval(idd);
                document.getElementById("myProgress"+id).style.display='none'
		document.getElementById(id).style.display='';
		window.location.href=string
    	} 
        });
    });
}


}
$(function() {

            $( "#enddate" ).datepicker({
                minDate: new Date(Date.now())

                                        }).keyup(function(e) {
    if(e.keyCode == 8 || e.keyCode == 46) {
        $.datepicker._clearDate(this);
    }
});


});
$(function() {
     now=new Date(Date.now())
     now.setDate(now.getDate()-7)
            $( "#startdate" ).datepicker({
                minDate: now,

         }).keyup(function(e) {
    if(e.keyCode == 8 || e.keyCode == 46) {
        $.datepicker._clearDate(this);
    }
});

});
// Defining the map and other settings for drawing on it
	var layeer=[];
	var mymap = L.map('mapid').setView([31.531726144517158, 74.322509765625], 2);

	L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
		maxZoom: 10,
		attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
			'<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
			'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
		id: 'mapbox.streets'
	}).addTo(mymap);
	
var editableLayers = new L.FeatureGroup();
mymap.addLayer(editableLayers);

var drawPluginOptions = {
  position: 'topright',
  draw: {
    polygon: {
      allowIntersection: false, // Restricts shapes to simple polygons
      drawError: {
        color: '#e1e100', // Color the shape will turn when intersects
        message: '<strong>Oh snap!<strong> you can\'t draw that!' // Message that will show when intersect
      },
      shapeOptions: {
        color: '#97009c'
      }
    },
    // disable toolbar item by setting it to false
    polyline: false,
    polygon: false,
    circle: false, // Turns off this drawing tool
    rectangle: true,
    marker: false,
    circlemarker: false,
	remove:true
    },
  edit: {
    featureGroup: editableLayers, //REQUIRED!!
    remove: false
  }
};

// Initialise the draw control and pass it the FeatureGroup of editable layers
var drawControl = new L.Control.Draw(drawPluginOptions);
mymap.addControl(drawControl);

var editableLayers = new L.FeatureGroup();
mymap.addLayer(editableLayers);

mymap.on('draw:created', function(e) {
  var type = e.layerType,
    layer = e.layer;
	if(layeer){
	  editableLayers.removeLayer(layeer);

	}
	layeer=layer
  if (type === 'marker') {
    layer.bindPopup('A popup!');
  }
   
  editableLayers.addLayer(layer);
  latlng=layer.getLatLngs()
  document.getElementById("latlng").value=latlng[0][0]["lng"].toString()+","+latlng[0][0]["lat"].toString()+","+latlng[0][2]["lng"].toString()+","+latlng[0][2]["lat"].toString()
  });
  
// Get the element with id="defaultOpen" and click on it
{% if default %}
document.getElementById("{{ default }}").click();
{% else %}
	document.getElementById("projectdefault").click();

{% endif %}
function cancel(){
	document.getElementById("projectdefault").click();

	}
// Function to display the alert message on clicking dete data button
function myFunction(id) {
 
  if (confirm("Are you sure you want to delete all of the project data!")) {
  location.href="delete/"+id
  }
  
}
// Function to display the alert message on clicking stop button

function myFunction1(id) {
 
  if (confirm("Are you sure you want to stop this project!")) {
  location.href="stop/"+id
  }
  
} 
// Function to display the alert message on clicking start button

function myFunction2(id) {
 
  if (confirm("Are you sure you want to start this project!")) {
  location.href="start/"+id
  }
  
} 
// Function to display the alert message on clicking dete project button

function myFunction3(id) {
 
  if (confirm("Are you sure you want to delete this project!")) {
  location.href="delete_project/"+id
  }
  
} 
 
// Function to execute when typing on the search projects bar
function search() {
    var input, filter, table, td,tr, a, i, txtValue,c;
	c=0;
    input = document.getElementById("input");
    filter = input.value.toUpperCase();
    table = document.getElementById("customers");
    tr = table.getElementsByTagName("tr");
    for (i = 1; i < tr.length; i++) {
 	    td=tr[i].getElementsByTagName("td")
        a = td[0].getElementsByTagName("a")[0];
        txtValue = a.textContent || a.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
          tr[i].style.display = "";
		  c++;
        } else {
          tr[i].style.display = "none";
        }
    }
document.getElementById("projectdefault").innerText="Projects("+c+")";
}
// Function to display tabcontent
	function opencity(evt,name) {
  var i,tabcontent,  tablinks;
    
tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }
  
  document.getElementById(name).style.display = "block";
  evt.currentTarget.className += " active";
  mymap.invalidateSize()
}

	$('#aler').on('closed.bs.alert', function () {
	document.getElementById('alertparent').innerHTML="<div class='alert alert alert-danger alert-dismissible fade show' role='alert' style='display:none' id='aler'>   <strong>ERROR!!!!</strong> There is something wrong with the fields entered. See the respective cells for further details. <button type='button' class='close' data-dismiss='alert' aria-label='Close'> <span aria-hidden='true'>&times;</span> </button> </div>"
	;

  })
  
document.getElementById("myfile").value = "";
document.getElementById("key").value = "";


  
// Function to read the uploaded csv file
function uploadDealcsv () {}; 

  /*------ Method for read uploded csv file ------*/
  uploadDealcsv.prototype.getCsv = function(e) {
       
      let input = document.getElementById('myfile');
      input.addEventListener('change', function() {

        if (this.files && this.files[0]) {

            var myFile = this.files[0];
            var reader = new FileReader();
            
            reader.addEventListener('load', function (e) {
                
                let csvdata = e.target.result; 
                parseCsv.getParsecsvdata(csvdata); // calling function for parse csv data 
            });
            
            reader.readAsBinaryString(myFile);
        }
      });
    }

    /*------- Method for parse csv data and display --------------*/
    uploadDealcsv.prototype.getParsecsvdata = function(data) {

        let parsedata = [];

        let newLinebrk = data.split("\n");
        for(let i = 0; i < newLinebrk.length; i++) {

            parsedata.push(newLinebrk[i].split(","))
        }
        document.getElementById("key").value=parsedata
    }

  
  var parseCsv = new uploadDealcsv();
  parseCsv.getCsv();

 </script>
</body>
</html>
